
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_seatavailabilityrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for ProximityAppListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="ProximityAppListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="ActualProximity"/&amp;gt;
 *     &amp;lt;enumeration value="SearchRadius"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "ProximityAppListType")
@XmlEnum
public enum ProximityAppListType {

    @XmlEnumValue("ActualProximity")
    ACTUAL_PROXIMITY("ActualProximity"),
    @XmlEnumValue("SearchRadius")
    SEARCH_RADIUS("SearchRadius"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    ProximityAppListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ProximityAppListType fromValue(String v) {
        for (ProximityAppListType c: ProximityAppListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
